"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NonVersionableConfig_1 = require("../NonVersionableConfig");
class BuildStatusConfig extends NonVersionableConfig_1.NonVersionableConfig {
    get status() {
        const { status } = this.config;
        if (status) {
            return status;
        }
        this.config = { status: "init" };
        return this.status;
    }
    start() {
        this.config = { status: "in_progress" };
    }
    end() {
        this.config = { status: "done" };
    }
}
exports.BuildStatusConfig = BuildStatusConfig;
