"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const env_1 = require("../../config/env");
const helpers_1 = require("../../helpers");
function get_stats() {
    return env_1.envConfig.isDebug
        ? "verbose"
        : {
            assets: true,
            colors: true,
            context: helpers_1.get_context(),
            hash: true,
            modules: false,
            performance: false,
            publicPath: true,
            timings: true,
            version: true,
        };
}
exports.get_stats = get_stats;
